AMD Driver DLLs Repository and Performance Survey

Discussion in 'Videocards - AMD Radeon Drivers Section' started by PrMinisterGR, May 30, 2015.

  1. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    Radeon™ Software Adrenalin Edition 18.2.3 with Vulkan®1.1 Support

    We need VLK for 18.3.1 :D

    Please provide.... (The Hist provides ;))
     
  2. JonasBeckman

    JonasBeckman Ancient Guru

    Messages:
    16,184
    Likes Received:
    2,043
    GPU:
    AMD S. 5700XT Pulse
    Well if you want the files that's these:

    VLKFiles.rar
    http://www103.zippyshare.com/v/aKV0oone/file.html

    Now the JSON files as I remember are registered during driver installation so you might have to find the existing registry information and update it and that might mean replacing the existing files with these though it could also work to place them in the folders for software using Vulkan but I don't know how well they load when not set up fully, runtime is the standard and as usual backwards compatible. I prefer to uninstall the existing (older.) version and then install the newest so there's only one. :)

    (The registry info is mostly the version number for the Vulkan runtime though, it might not be all that important but the JSON files are plain text and easy to open and compare.)

    I don't think I missed any other files but I might have, this archive contains the AMD Vulkan .dll driver file version 9.2.10.18 compared to 9.2.10.14 from 18.3.1 and the JSON files in both 32 and 64 bit variants plus the VLK runtime which is just the standard installer.
    (There's probably only minor gains if any at all for existing Vulkan software not actually using the 1.1 SDK though unless AMD fixed or optimized something else in these newer driver .dll files, loader and layer files from the runtime has a few bug fixes though as always. - https://vulkan.lunarg.com/doc/sdk/1.1.70.0/windows/release_notes.html )
     
    Jackalito and OnnA like this.
  3. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    Hmm, THX, now i will wait for 18.3.2 WHQL :D
     
  4. Romulus_ut3

    Romulus_ut3 Master Guru

    Messages:
    670
    Likes Received:
    138
    GPU:
    AMD RX 570 4GB
    I'll do it in a bit. Been very sick lately.
     

  5. Embra

    Embra Master Guru

    Messages:
    971
    Likes Received:
    239
    GPU:
    Vega 64 Nitro+LE
    Get well soon.
     
    Romulus_ut3 likes this.
  6. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    Yup, be Well & Healthy :D
     
    Romulus_ut3 likes this.
  7. lycanwrath

    lycanwrath Member Guru

    Messages:
    124
    Likes Received:
    11
    GPU:
    AMD RX480 8GB ref
    Does anyone have a 17.11.4 driver dlls download link?
     
  8. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    Please upd. repository with new Q2 2018 & 18.5.1 WHQL :rolleyes:
     
  9. Lurk

    Lurk Member Guru

    Messages:
    143
    Likes Received:
    12
    GPU:
    Gigabyte GTX 1080
    In win 10 putting the dll's in the game's exe folder doesn't work anymore. Is there anyway to circumvent this?
     
  10. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    try to Put files into WoW64 & Sys32 in Windows (do backup, IMO it will work)
     

  11. Lurk

    Lurk Member Guru

    Messages:
    143
    Likes Received:
    12
    GPU:
    Gigabyte GTX 1080
    Unfortunately it doesn't seem to work.
    I used to do it for No Man's Sky in Win 7 to fix a rendering issue.

    The only way I could get it to work on Win 10 was to substitute atioglxx.dll and atio6axx.dll in the amd driver folder currently in use by the system contained in C:\Windows\System32\DriverStore\FileRepository, but this involved safe booting and changing folder permissions, with the added disadvantage of having to use an outdated OGL driver for all other games.

    Clearly not an option.

    I'm at wits' end, can't think of any other way to make it work so that it's easy and convenient.
     
  12. OnnA

    OnnA Ancient Guru

    Messages:
    10,495
    Likes Received:
    2,318
    GPU:
    Vega 64 XTX LiQuiD
    Hmm, maby better is to stay on Older but good driver?
    When i have Fury i have some Update Pauses :D (sometimes 2-3 months) -> IMO no big deal.
     
  13. spectatorx

    spectatorx Master Guru

    Messages:
    792
    Likes Received:
    114
    GPU:
    Radeon RX580 8GB
    Kinda necro but... anyone remembers which driver version was the last one supporting mantle api? I think mantle api was receiving driver updates up to 2018 or 2019 but i'm not sure which version exactly. I'll be happy with at least version number, you will make me even more happy if anyone will be able to provide .dll files so i could use them on few games with that api that i own.
     
  14. Chastity

    Chastity Ancient Guru

    Messages:
    2,233
    Likes Received:
    622
    GPU:
    Nitro 5700 XT
    I wouldn't mind them too for DA:I
     
  15. Kutep0v

    Kutep0v Member

    Messages:
    28
    Likes Received:
    3
    GPU:
    Sapphire RX 580 8GB
    Mantle support has been discontinued starting with 19.5.1, so 19.4.3 should be the last one.
     

  16. spectatorx

    spectatorx Master Guru

    Messages:
    792
    Likes Received:
    114
    GPU:
    Radeon RX580 8GB
    Thank you!
     
  17. spectatorx

    spectatorx Master Guru

    Messages:
    792
    Likes Received:
    114
    GPU:
    Radeon RX580 8GB
    Jackalito likes this.
  18. Chastity

    Chastity Ancient Guru

    Messages:
    2,233
    Likes Received:
    622
    GPU:
    Nitro 5700 XT
  19. spectatorx

    spectatorx Master Guru

    Messages:
    792
    Likes Received:
    114
    GPU:
    Radeon RX580 8GB
    I would guess navi cards do not support mantle api on hardware or even driver level and that's the reason why you are getting error message. I may try it later myself and see what will happen but i own rx580 which i think has support for mantle api. In meantime can you give me exact, full error message?

    Ok, just tested on thief and mantle works fine for me as you can see on this screenshot here:
    https://imgur.com/a/cF1O05b

    I do not own dragon age inquisition so i'm unable to test on this particular game. Maybe my gf has it on her account, i may ask her about it later.

    Concluding: if mantle doesn't work for you then either because navi architecture doesn't support it anymore or it is other, unrelated software issue which can be solved in some way, all we need is error message and then we may find solution together.
     
    Last edited: Mar 1, 2020
    Jackalito likes this.
  20. Chastity

    Chastity Ancient Guru

    Messages:
    2,233
    Likes Received:
    622
    GPU:
    Nitro 5700 XT
    I think it was reporting the hardware wasn't identified as a known Mantle device. Such are the sacrifices we make. :( Time for a Mantle to Vulkan wrapper.
     

Share This Page